VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
VstAutomationTest Class Reference

Test Automation. More...

`#include <vsttestsuite.h>`

Inheritance diagram for VstAutomationTest:

## Public Member Functions
| VstAutomationTest (IPlugProvider *plugProvider, ProcessSampleSize sampl, int32 everyNSamples, int32 numParams, bool sampleAccuracy)
virtual | ~VstAutomationTest ()
DECLARE_FUNKNOWN_METHODS const char * | getName () const SMTG_OVERRIDE
bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *testResult) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
int32 | getParameterCount () SMTG_OVERRIDE
IParamValueQueue * | getParameterData (int32 index) SMTG_OVERRIDE
IParamValueQueue * | addParameterData (const ParamID &id, int32 &index) SMTG_OVERRIDE
Public Member Functions inherited from VstProcessTest
| VstProcessTest (IPlugProvider *plugProvider, ProcessSampleSize sampl)
bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *testResult) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from VstTestEnh
| VstTestEnh (IPlugProvider *plugProvider, ProcessSampleSize sampl)
virtual | ~VstTestEnh ()
bool | setup () SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from VstTestBase
| VstTestBase (IPlugProvider *plugProvider)
virtual | ~VstTestBase ()
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
virtual void | printTestHeader (ITestResult *testResult)
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Member Functions
bool | preProcess (ITestResult *testResult) SMTG_OVERRIDE
bool | postProcess (ITestResult *testResult) SMTG_OVERRIDE
Protected Member Functions inherited from VstProcessTest
virtual bool | prepareProcessing ()
| setup ProcessData and allocate buffers More...
virtual bool | unprepareProcessing ()
| free dynamic memory of ProcessData More...
bool | setupBuffers (int32 numBusses, AudioBusBuffers *audioBuffers, BusDirection dir)
bool | setupBuffers (AudioBusBuffers &audioBuffers)
bool | freeBuffers (int32 numBuses, AudioBusBuffers *buses)
bool | canProcessSampleSize (ITestResult *testResult)
| audioEffect has to be available More...

## Protected Attributes
ParamID | bypassId
ParamChanges * | paramChanges
int32 | countParamChanges
int32 | everyNSamples
int32 | numParams
bool | sampleAccuracy
bool | onceExecuted
Protected Attributes inherited from VstProcessTest
HostProcessData | processData
Protected Attributes inherited from VstTestEnh
IAudioProcessor * | audioEffect
ProcessSetup | processSetup
Protected Attributes inherited from VstTestBase
IPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Additional Inherited Members
Public Types inherited from VstTestEnh
enum | AudioDefaults { kBlockSize = 64, kMaxSamplesPerBlock = 8192, kSampleRate = 44100 }
Static Public Attributes inherited from IParameterChanges
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Test Automation.

## Constructor & Destructor Documentation

IParameterChanges::iid VstAutomationTest | ( | IPlugProvider * | plugProvider,
|  | ProcessSampleSize | sampl,
|  | int32 | everyNSamples,
|  | int32 | numParams,
|  | bool | sampleAccuracy
| ) |  |

~VstAutomationTest | ( |  | ) |
| virtual

## Member Function Documentation

const char * getName | ( |  | ) | const
| virtual

Reimplemented from VstProcessTest.

Reimplemented in VstFlushParamTest3, VstFlushParamTest2, and VstFlushParamTest.

bool setup | ( |  | ) |

bool run | ( | ITestResult * | testResult | ) |

bool teardown | ( |  | ) |

int32 getParameterCount | ( |  | ) |
| virtual

Implements IParameterChanges.

IParamValueQueue * getParameterData | ( | int32 | index | ) |
| virtual

Implements IParameterChanges.

IParamValueQueue * addParameterData | ( | const ParamID & | id,
|  | int32 & | index
| ) |  |
| virtual

Implements IParameterChanges.

bool preProcess | ( | ITestResult * | testResult | ) |
| protected virtual

Reimplemented from VstProcessTest.

bool postProcess | ( | ITestResult * | testResult | ) |
| protected virtual

Reimplemented from VstProcessTest.

## Member Data Documentation

ParamID bypassId
| protected

ParamChanges* paramChanges
| protected

int32 countParamChanges
| protected

int32 everyNSamples
| protected

int32 numParams
| protected

bool sampleAccuracy
| protected

bool onceExecuted
| protected

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.